  * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }

	@font-face {
		font-family: "Headingfont";
		src: url("fonts/tt0288m_.ttf");
		font-weight: Light;
	}
	
	@font-face {
		font-family: "Buttonfont";
		src: url("fonts/tt0290m_.ttf");
		font-weight: Light;
	}

  html, body {
    height: 100%;
    background: linear-gradient(to right, #ffffff 5%, #673354 90%, #673354 100%);
  
    /* Seite komplett ausfüllen */
    height: 100vh;
    margin: 0;

	/* Optional: passt sich immer der Bildschirmgröße an */
	background-size: cover;
  }

  /* Container für die beiden Spalten */
  .container {
    display: flex;
    justify-content: flex-start; /* linksbündig */
    align-items: center;    /* vertikales Zentrieren im Viewport */
    height: 100vh;          /* ganze Höhe des Bildschirms */
    gap: 50px;              /* Abstand zwischen Logo und Text */
    padding: 0 70px;        /* etwas Abstand zum Rand */
  }

  /* Linke Spalte: Logo */
  .logo svg {
	display: block;
	width: 800px;
    max-width: 100%;
	height: auto;
	/*margin-left: 0;
	flex: 0 0 auto;*/
  }

  /* Rechte Spalte: Text + Button */
  .coming-soon{
    display: flex;
	flex:1;
	min-width: 0;
    flex-direction: column;
    align-items: flex-start; /* Text linksbündig in der Spalte */
	font-size: 2.5vw;
    margin-bottom: 20px;
	margin-right:60px;
    align-items: center;
    color:#ffffff;
	font-family: "Headingfont";
  }

  .coming-soon button{
	margin-top:50px;
    padding: 15px 50px;
    font-size: 24px;
    border: 1;
	border-color: #ffffff;
    background-color: #ffffff;
    color:#673354;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s;
	font-family: "Buttonfont";
  }

  .coming-soon button:hover {
    background-color: #673354;
    border-color:#ffffff;
    color:#ffffff;
  }

  /* Responsive Anpassung für kleine Bildschirme */
  @media (max-width: 768px) {
    .container {
      flex-direction: column;
      text-align: center;
      gap: 30px;
    }
	.logo svg {
		margin-top:50px;
		margin-right:100px;
		margin-bottom:50px;
		max-height:500px;
	}
	.coming-soon {
		font-size: 34px;
		margin-left:60px;
	}
  }